function registerServiceWorker() {
    navigator.serviceWorker.register('/service-worker.js', {
        scope: settings.gdc_pwa_scope
    })
    .catch(function (error) {
        console.log('Service worker registration failed, error:', error);
    });
}

if ('serviceWorker' in navigator) {
    registerServiceWorker();
}

document.addEventListener("DOMContentLoaded", function(event) {
    var deferredPrompt;
    var btnAdd = document.getElementById("gdc-btn-install");
    window.addEventListener('beforeinstallprompt', function (e) {
        // Prevent Chrome 67 and earlier from automatically showing the prompt
        e.preventDefault();
        // Stash the event so it can be triggered later.
        deferredPrompt = e;
        document.getElementById("gdc-btn-install").classList.remove("gdc-hidden");
    });

    btnAdd.addEventListener('click', function(e) {
        // hide our user interface that shows our A2HS button
        btnAdd.classList.add("gdc-hidden");
        // Show the prompt
        deferredPrompt.prompt();
        // Wait for the user to respond to the prompt
        deferredPrompt.userChoice
            .then(function (choiceResult) {
                if (choiceResult.outcome === 'accepted') {
                    console.log('User accepted the A2HS prompt');
                } else {
                    console.log('User dismissed the A2HS prompt');
                }
                deferredPrompt = null;
            });
    });
});